/***************************************************************************
    file        : jpslib2.h
    project     : JPS Library for GTK2
    begin       : 2007.01.11
    revised     : --
    copyright   : (C)2007 Paul Schuurmans
    email       : paul.schuurmans@home.nl
 ***************************************************************************/

/***************************************************************************
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ***************************************************************************/

#include<stdio.h>

// For file operations
#define FM_READ			0
#define FM_WRITE		1

// Msg Dialog modes
#define MSG_ASK			0
#define MSG_CONFIRM		1
#define MSG_INFORM		2
#define MSG_ERROR		3

// Modal Result for Msg Dialog
#define MR_CANCEL		0
#define MR_OK			1
#define MR_YES			1
#define MR_NO			2

///// Miscellaneous Utility Functions ///////////////////////////////////////

int FileExists (char *path);
long FileSize (char *name);
void GetConfigBool (FILE *fn, char *key, gboolean *bval, gboolean bdef);
void GetConfigInt (FILE *fn, char *key, int *nval, int ndef);
void GetConfigString (FILE *fn, char *key, char *sval, char *sdef);
int ReadLine (FILE *rfile, char *line, int maxlinesize);
int ReadWriteWidgetText (int mode, GtkWidget *w, char *filename);
gchar *TextViewGetText (GtkWidget *w);
void TextViewSetText (GtkWidget *w, gchar *text);
int WidgetIsEnabled (GtkWidget *parent, char *name);
