/***************************************************************************
    file        : main.h
    project     : gHTTrack (frontend for HTTrack)
    begin       : 2003.05.22
    revised     : 2006.05.08
                  2007.01.13 (0.5.2)
    copyright   : (C)2003-2007 Paul Schuurmans
    email       : paul.schuurmans@home.nl
 ***************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <stdio.h>

#define APPNAME			"gHTTrack"
#define CFGID01			"GHTTRACK-CFG-2006.05.27"
#define DEFAULTPROJECT	"Default Settings"
#define CUSTOMPROJECT	"Custom Settings"

#define OPTIONCOUNT			100

#define LIST_URLS			0
#define LIST_FILTERS		1

#define FD_GET_DEST_LOGS	0
#define FD_GET_DEST_PATH	1
#define FD_URL_LIST_READ	2
#define FD_URL_LIST_WRITE	3
#define FD_FILTERS_READ		4
#define FD_FILTERS_WRITE	5

#define EC_ACTIONS_PAGE		1
#define EC_OPTIONS_PAGE1	2
#define EC_OPTIONS_PAGE3	4
#define EC_OPTIONS_PAGE4	8
#define EC_OPTIONS_PAGE5	16
#define EC_OPTIONS_RESET	32

typedef struct {
	char CmdLine[4096];
	char FileName[260];
	int FileDlgMode;
	int CurProject;
	char StUrls[10];
	char StDestPath[10];
	char StConfirmed[10];
	char StCmdLine[10];
	gboolean UrlFileChanged;
} TGlobalStruct;

///// Application-Specific Functions ////////////////////////////////////////

void AppCheckConfigFile (void);
void AppDoWidgetSetup (void);
void AppEnableCommands (int mode);
int AppGetActionIndex (void);
int AppGetOptIndex (char *name);
char *AppGetOptSwitch (char *name, char *cmdsw);
int AppGetOptValue (char *name, char *sval, int *nval, gboolean *bval);
void AppReadWriteConfig (int mode, int project);
void AppRunCommand (void);
void AppRunFileDialog (int mode, char *title);
void AppSetStatusText (char *txt, ...);
void AppShowSettings (void);
int AppValidList (int list, char *fname);

